Bug 96132 - Enabling Experimental Features in the UI doesn't inform the user that LibO needs to be restarted
Summary: Enabling Experimental Features in the UI doesn't inform the user that LibO ne...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4 all versions
Hardware: All All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2015-11-29 13:52 UTC by Cor Nouws
Modified: 2016-10-25 19:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-11-29 13:52:00 UTC
Change Tools > LibreOffice > Language Settings > Language .. interface and it tells you that you need to restart LibreOffice.

Change Tools > Options > LibreOffice > Advanced .. experimental Features
and you won't get a hint...

It should :)
Comment 1 Cor Nouws 2015-11-29 13:53:11 UTC
easy hackish ??
Comment 2 tommy27 2015-11-29 17:57:33 UTC
I confirm issue using a recent LibO 5.1.0.0 daily build under Win8.1 x64.
status NEW
Comment 3 Robinson Tryon (qubit) 2015-12-10 07:26:41 UTC Comment hidden (obsolete)
Comment 4 Samuel Mehrbrodt (allotropia) 2016-02-02 11:20:12 UTC
EasyHack:

The dialog is in cui/source/options/optjava.cxx::SvxJavaOptionsPage.
In the same file you also find how to create a restart dialog (search for "restart").
Comment 5 Markus Mohrhard 2016-02-02 23:32:41 UTC
That is actually not completely true.

There are many experimental features that work without a restart. The better question is which ones don't and then check if they can't be made to work without it. Especially as we now have a configuration change listener.
Comment 6 Cor Nouws 2016-02-03 10:56:59 UTC
(In reply to Markus Mohrhard (retired) from comment #5)

> There are many experimental features that work without a restart.

To be honest: I wouldn't be able (without searching) to point to the list of those features...

> The better
> question is which ones don't and then check if they can't be made to work
> without it. Especially as we now have a configuration change listener.

Sure.
Comment 7 Commit Notification 2016-02-03 13:57:19 UTC
akki95 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5008b9a692296ab72e08d397a49d11d02222f83c

tdf#96132 Enabling Experimental Features in UI doesn't warn about restart

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Samuel Mehrbrodt (allotropia) 2016-02-03 14:05:11 UTC
(In reply to Markus Mohrhard (retired) from comment #5)
> That is actually not completely true.
> 
> There are many experimental features that work without a restart. The better
> question is which ones don't and then check if they can't be made to work
> without it. Especially as we now have a configuration change listener.

Closing this bug. Markus, maybe you can create a new bug where you describe your idea?
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:06 UTC Comment hidden (obsolete)